%define major 0
%define libname %mklibname collectdclient %{major}
%define develname %mklibname -d collectdclient

Summary:	Collects system information in RRD files
Name:		collectd
Version:	5.1.0
Release:	1
License:	GPLv2+
Group:		Monitoring
URL:		http://collectd.org/
Source0:	http://collectd.org/files/collectd-%{version}.tar.bz2
Source1:	%{name}-initscript
Source2:	%{name}.logrotate
Patch3:		collectd-4.5.1-perl_fix.diff
Patch101:	collectd-4.10.3-werror.patch
Patch102:	collectd-4.10.3-lt.patch
Patch103:	collectd-4.10.1-noowniptc.patch
Patch104:	collectd-4.10.2-libnotify-0.7.patch
#BuildConflicts:	git
BuildRequires:	bison
BuildRequires:	curl-devel
BuildRequires:	flex
BuildRequires:	iptables-devel
BuildRequires:	libdbi-devel
BuildRequires:	libesmtp-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libtool-devel
BuildRequires:	libnotify-devel
BuildRequires:	libstatgrab-devel
BuildRequires:	libtool
BuildRequires:	libvirt-devel
BuildRequires:	libxml2-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	nut-devel
BuildRequires:	openipmi-devel
BuildRequires:	oping-devel
BuildRequires:	pcap-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	postgresql-devel
BuildRequires:	rrdtool-devel
BuildRequires:	libmemcached-devel
BuildRequires:	iptables-iptc-devel
BuildRequires:	iptables-ip6tc-devel
BuildRequires:	iptables-ip4tc-devel
Requires(pre):	rpm-helper

%description
The collectd daemon collects information about the system it is running on and
writes this information into special database files. These database files can
then be used to generate graphs of the collected data.

%package -n %{libname}
Summary:	Collects system information in RRD files
Group:		System/Libraries

%description -n %{libname}
The collectd daemon collects information about the system it is running on.
This package contains the shared libraries used by %{name}

%package -n %{develname}
Summary:        Collects system information in RRD files
Group:          Development/C 
Requires:       %{libname} = %{version}


%description -n %{develname}
The collectd daemon collects information about the system it is running on.
This package contains the development headers.

%prep
%setup -q
%patch101 -p1
%patch3 -p0

%build
autoreconf -fi
%serverbuild
pushd libltdl
%before_configure
popd
%configure2_5x \
    --with-libperl=%{_prefix} --with-perl-bindings="INSTALLDIRS=vendor" \
    --localstatedir=/var/lib \
    --without-included-ltdl \
    --with-ltdl-include=%{_includedir} \
    --with-ltdl-lib=%{_libdir} \
    --disable-xmms \
    --disable-static

%make

%install

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/var/lib/%{name}
install -d %{buildroot}/var/run/%{name}
install -d %{buildroot}/var/log/%{name}

%makeinstall_std LIBLTDL=%{_libdir}/libltdl.la

install -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

touch %{buildroot}/var/log/%{name}/%{name}.log

# cleanup
rm %{buildroot}%{_libdir}/collectd/*.la

%post
%create_ghostfile /var/log/%{name}/%{name}.log root root 644
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog TODO
%config(noreplace) %{_sysconfdir}/collectd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_initrddir}/%{name}
%{_bindir}/collectd-nagios
%{_bindir}/collectdctl
%{_sbindir}/collectd
%{_sbindir}/collectdmon
%dir %{_libdir}/collectd
%{_libdir}/collectd/apache.so
%{_libdir}/collectd/apcups.so
%{_libdir}/collectd/ascent.so
%{_libdir}/collectd/battery.so
%{_libdir}/collectd/bind.so
%{_libdir}/collectd/conntrack.so
%{_libdir}/collectd/contextswitch.so
%{_libdir}/collectd/cpufreq.so
%{_libdir}/collectd/cpu.so
%{_libdir}/collectd/csv.so
%{_libdir}/collectd/curl.so
%{_libdir}/collectd/curl_xml.so
%{_libdir}/collectd/dbi.so
%{_libdir}/collectd/df.so
%{_libdir}/collectd/disk.so
%{_libdir}/collectd/dns.so
%{_libdir}/collectd/email.so
%{_libdir}/collectd/entropy.so
%{_libdir}/collectd/exec.so
%{_libdir}/collectd/filecount.so
%{_libdir}/collectd/fscache.so
%{_libdir}/collectd/hddtemp.so
%{_libdir}/collectd/interface.so
%{_libdir}/collectd/ipmi.so
%{_libdir}/collectd/iptables.so
%{_libdir}/collectd/irq.so
%{_libdir}/collectd/libvirt.so
%{_libdir}/collectd/load.so
%{_libdir}/collectd/logfile.so
%{_libdir}/collectd/madwifi.so
%{_libdir}/collectd/match_empty_counter.so
%{_libdir}/collectd/match_hashed.so
%{_libdir}/collectd/match_regex.so
%{_libdir}/collectd/match_timediff.so
%{_libdir}/collectd/match_value.so
%{_libdir}/collectd/mbmon.so
%{_libdir}/collectd/memcachec.so
%{_libdir}/collectd/memcached.so
%{_libdir}/collectd/memory.so
%{_libdir}/collectd/multimeter.so
%{_libdir}/collectd/mysql.so
%{_libdir}/collectd/network.so
%{_libdir}/collectd/nfs.so
%{_libdir}/collectd/nginx.so
%{_libdir}/collectd/notify_desktop.so
%{_libdir}/collectd/notify_email.so
%{_libdir}/collectd/ntpd.so
%{_libdir}/collectd/nut.so
%{_libdir}/collectd/olsrd.so
%{_libdir}/collectd/openvpn.so
%{_libdir}/collectd/perl.so
%{_libdir}/collectd/ping.so
%{_libdir}/collectd/postgresql.so
%{_libdir}/collectd/powerdns.so
%{_libdir}/collectd/processes.so
%{_libdir}/collectd/protocols.so
%{_libdir}/collectd/python.so
%{_libdir}/collectd/rrdcached.so
%{_libdir}/collectd/rrdtool.so
%{_libdir}/collectd/sensors.so
%{_libdir}/collectd/serial.so
%{_libdir}/collectd/snmp.so
%{_libdir}/collectd/swap.so
%{_libdir}/collectd/syslog.so
%{_libdir}/collectd/table.so
%{_libdir}/collectd/tail.so
%{_libdir}/collectd/target_notification.so
%{_libdir}/collectd/target_replace.so
%{_libdir}/collectd/ethstat.so
%{_libdir}/collectd/ipvs.so
%{_libdir}/collectd/md.so
%{_libdir}/collectd/numa.so
%{_libdir}/collectd/write_graphite.so
%{_libdir}/collectd/target_scale.so
%{_libdir}/collectd/target_set.so
%{_libdir}/collectd/target_v5upgrade.so
%{_libdir}/collectd/tcpconns.so
%{_libdir}/collectd/teamspeak2.so
%{_libdir}/collectd/ted.so
%{_libdir}/collectd/thermal.so
%{_libdir}/collectd/threshold.so
%{_libdir}/collectd/unixsock.so
%{_libdir}/collectd/uptime.so
%{_libdir}/collectd/users.so
%{_libdir}/collectd/uuid.so
%{_libdir}/collectd/wireless.so
%{_libdir}/collectd/vmem.so
%{_libdir}/collectd/write_http.so
%{_libdir}/collectd/vserver.so
%perl_vendorlib/*
%dir %{_datadir}/collectd
%{_datadir}/collectd/postgresql_default.conf
%{_datadir}/collectd/types.db
%dir /var/lib/%{name}
%dir /var/run/%{name}
%dir /var/log/%{name}
%ghost /var/log/%{name}/%{name}.log
%{_mandir}/man1/collectd.*
%{_mandir}/man5/collectd.conf.*
%{_mandir}/man1/collectdmon.1*
%{_mandir}/man1/collectd-nagios.1*
%{_mandir}/man1/collectdctl.1*
%{_mandir}/man3/Collectd::Unixsock.3pm*
%{_mandir}/man5/collectd-threshold.5*
%{_mandir}/man5/collectd-email.5*
%{_mandir}/man5/collectd-exec.5*
%{_mandir}/man5/collectd-java.5*
%{_mandir}/man5/collectd-perl.5*
%{_mandir}/man5/collectd-python.5*
%{_mandir}/man5/collectd-snmp.5*
%{_mandir}/man5/collectd-unixsock.5*
%{_mandir}/man5/types.db.5*

%files -n %{libname}
%{_libdir}/libcollectdclient.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%{_libdir}/libcollectdclient.so
%{_includedir}/collectd/client.h
%{_includedir}/collectd/lcc_features.h
%{_libdir}/pkgconfig/libcollectdclient.pc


%changelog
* Mon Apr 09 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.1.0-1
+ Revision: 789978
- version update 5.1.0

* Tue Feb 21 2012 Jon Dill <dillj@mandriva.org> 5.0.1-2
+ Revision: 778765
- rebuild against new version of libffi4

* Sun Nov 06 2011 Oden Eriksson <oeriksson@mandriva.com> 5.0.1-1
+ Revision: 722629
- 5.0.1
- drop the libnotify-0.7 patch, seems redundant
- fix proken perl ldflags

* Mon Jul 18 2011 Oden Eriksson <oeriksson@mandriva.com> 5.0.0-4
+ Revision: 690286
- rebuilt against new net-snmp libs

* Tue Jun 21 2011 Oden Eriksson <oeriksson@mandriva.com> 5.0.0-3
+ Revision: 686443
- add the nut plugin
- rebuilt against libmemcached.so.8

* Tue May 24 2011 Funda Wang <fwang@mandriva.org> 5.0.0-2
+ Revision: 678013
- rebuild

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 5.0.0-1
+ Revision: 661140
- New version 5.0.0
- add patches from gentoo to have it built

  + Oden Eriksson <oeriksson@mandriva.com>
    - relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 4.9.2-8mdv2011.0
+ Revision: 627217
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.2-7mdv2011.0
+ Revision: 626511
- rebuilt against mysql-5.5.8 libs

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.2-5mdv2011.0
+ Revision: 609657
- rebuilt against new libdbi

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 4.9.2-4mdv2011.0
+ Revision: 592411
- rebuild for python 2.7

* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 4.9.2-3mdv2011.0
+ Revision: 585064
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new libmemcached

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 4.9.2-1mdv2011.0
+ Revision: 538498
- new version 4.9.2

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 4.9.1-4mdv2010.1
+ Revision: 538460
- rebuild for libmemcached 0.40

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 4.9.1-3mdv2010.1
+ Revision: 538347
- BR memcached
- bump rel
- more perl linkage fixes

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.1-2mdv2010.1
+ Revision: 507480
- rebuild

* Wed Jan 27 2010 Frederik Himpe <fhimpe@mandriva.org> 4.9.1-1mdv2010.1
+ Revision: 497441
- Update to new version
- Build with -fPIC, otherwise it fails
- Use parallel make

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 4.9.0-1mdv2010.1
+ Revision: 485961
- Fix BuildRequires
- Build with libvirt support
- Update to new version 4.9.0

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 4.8.1-1mdv2010.1
+ Revision: 462679
- Update to new version 4.8.1

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 4.8.0-3mdv2010.0
+ Revision: 457716
- fix deps
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new curl SSL backend

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 4.8.0-1mdv2010.0
+ Revision: 443280
- Update to new version 4.8.0
- Remove ping fix patch: fixed upstream
- Rediff path fixes patch
- Introuce subpackage for new library

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-3mdv2009.1
+ Revision: 311298
- rebuilt against mysql-5.1.30 libs

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-2mdv2009.1
+ Revision: 298235
- rebuilt against libpcap-1.0.0

* Sat Oct 25 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-1mdv2009.1
+ Revision: 297267
- more dep fixes (libnotify-devel)
- 4.5.1
- fix build, P3,P4 and spec file hack
- fix deps

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 4.5.0

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-1mdv2009.0
+ Revision: 250598
- drop patch1, fixed upstream
- disable support for xmms, as it is not so useable
- update to new version 4.4.2

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 4.4.1-2mdv2009.0
+ Revision: 227937
- rebuild
- bump release
- 4.4.1
- fix the initscript
- added patches to fix linkage
- don't use the %%configure2_5x macro, no time to review why
  for example libperl.so isn't found...

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.3.3-1mdv2009.0
+ Revision: 197224
- new version

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.3.2-1mdv2009.0
+ Revision: 195283
- new version

* Sun Feb 24 2008 Oden Eriksson <oeriksson@mandriva.com> 4.3.0-1mdv2008.1
+ Revision: 174421
- use the %%serverbuild macro
- disable parallel make (no %%make)
- 4.3.0
- rework the package

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 David Walluck <walluck@mandriva.org> 4.2.2-1mdv2008.1
+ Revision: 132144
- 4.2.2
- disable perl (does not compile)
- use configure macro
- install perl modules to correct location (separate package?)
- fix rpath
- use initrddir macro

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - new version
    - new version

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.11.5-1mdv2008.0
+ Revision: 34229
- new version

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.11.4-1mdv2008.0
+ Revision: 16124
- new version

